Skip to main content
PUT
/
projects
/
{project_reference}
/
integrations
/
{name}
Upsert Project Integration
curl --request PUT \
  --url https://api.veryfront.com/projects/{project_reference}/integrations/{name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "scope": "project",
  "allowed_tools": [
    "<string>"
  ]
}
'
{
  "error": "<string>",
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
name
string
required

Body

application/json
enabled
boolean
required
scope
enum<string>
required
Available options:
project,
endUser
allowed_tools
string[] | null
required

Response

Project integration updated